Skip to main content
GET
/
v1
/
webhooks
Listar webhooks
curl --request GET \
  --url https://api.notifique.dev/v1/webhooks \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "workspaceId": "<string>",
      "name": "<string>",
      "url": "<string>",
      "secret": "<string>",
      "events": [
        "<string>"
      ],
      "instanceIds": [
        "<string>"
      ],
      "enabled": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "total": 123,
    "page": 123,
    "limit": 123,
    "totalPages": 123
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer sk_live_xxxxx

Query Parameters

page
integer
default:1
limit
integer
default:20
Required range: x <= 100
event
string

Filtrar webhooks que escutam este evento.

Response

Lista de webhooks com paginação (secret não incluído).

success
boolean
required
Example:

true

data
object[]
required
pagination
object
required